angular.module('imgurl.filter', [])
	/**
	 * @description 自定义数据格式化 imgfilterm
	 *
	 * imgfilterM (封面图)  &&   imgfilterB(产品图)
	 */

.filter('imgfilterm', function() {

	return function(item) {
		
		if (item) {
			var cc = item;
			cc = Util.ImgCdn + '/' +String(cc).replace(/Product\//, "Product/m/");
		} else {
			var cc = '../img/home/mimgloading.jpg'
		}
		return cc
	}
})

.filter('productdatafilterm', function() {

	return function(item) {

		return Util.intToData(item)
	}
})
.filter('bprice', function() {
	return function(item) {
		var str = item.split('-');
		var a = str[0].substring(0,str[0].indexOf('元起'));
		
		return a;
	}
})
.filter('bcid', function() {
	return function(item) {
		var str = item.split('-');
		return str[1];
	}
})
.filter('coupondatafilterm', function() {
	var regex = "\\s";
	return function(item) {
		var data = Util.intToData(item);
		return data.slice(0, data.search(regex))
	}
})
.filter('guige',function(){
	return function(item){
		var str = item.split('-');
		if(str.length == 1){
			return '文创产品需到PC端编辑';
		}else{
			var str2 = str[1].split(',');
			return str2.join('*');
		}
		
	}
})
.filter('idstxt',function(){
	return function(item){
		if(item){
			var str = item.split('-');
			if(str.length == 1){
				return '[个性定制]';
			}else{
				return '[纸箱定制]';
			}
		}else{
			return '[单品]';
		}
	}
})
.filter('addressfilterm', function() {

	return function(item) {
		var pos = item.search(/\|/);
		var addressEnd = item.slice(pos + 1, item.length);
		var addressNo = item.slice(0, pos).split("-");
		var address = '';
		address += area_array[addressNo[0]];
		
		if(addressNo[1] != 0){
	
			address += '-' + sub_array[addressNo[0]][addressNo[1]];

			if(addressNo[2] != 0){
				address += '-' + sub_arr[addressNo[1]][addressNo[2]] + '|';
			}else{
				address += '|'
			}
		}else{
			address += '|'
		}
		
		address += addressEnd;

		return address
	}
})