var xmj_app = angular.module('mallApp', ['ngTouch', 'services']);

xmj_app.controller('detailsCtrl', ['$scope', '$http', '$window', '$interval', '$sce', 'Xmj',
		function($scope, $http, $window, $interval, $sce, Xmj) {
			$window.addEventListener('freshendetails2', function(event) {
				var pid = event.detail.id;
				Xmj['获取数据'](Util.Interface['商品评价列表'].params(pid, 0, 1, 10))
					.then(function(data) {
						$scope.commentList = data;
						console.log('-___'+data);
					}).catch(function() {
						console.log('error');
					});
				
			});
		}
	])
	.filter('html', ['$sce',
		function($sce) {
			return function(text) {
				var str = text.replace(/\/Scripts\//g, Util.ImgCdn + "/Scripts/");
				console.log('str:' + ' ' + str);
				return $sce.trustAsHtml(str);
			};
		}
	])
	// 图片cdn
	.filter('upImg', function() {
		return function(url) {
			var cdnUrl = Util.upUrl + url;
			return cdnUrl;
		}
	})
	//过滤隐藏用户名
	.filter('ellipsis', function() {
		return function(text) {

			var lastStr = text.substr(text.length - 1, 1);
			return text.substr(0, 1) + "**" + lastStr;

		}
	})