var xmj_app = angular.module('mallApp', ['imgurl.filter', 'ngTouch', 'me-lazyload', 'services']);


xmj_app.controller('homeCtrl', ['$scope', '$http', '$window', '$interval', 'Xmj',
	function($scope, $http, $window, $interval, Xmj) {

		$scope.stopPlus;

		$scope.AjaxTimeout = 3;
		//是否加载过数据
		$scope.isgetData = false;

		var detailWebview = null;

		var cidList = {
			jj: 4,
			bz: 1,
			diy: 10
		}

		Xmj.PlusReady(10).then(function(data) {
			$scope.initMuiModule();
			$scope.getData(true);
		})


		//初始化mui组件 下拉刷新
		$scope.initMuiModule = function() {
			mui.plusReady(function() {
				ws = plus.webview.currentWebview();
				ws.setPullToRefresh({
					support: true,
					height: "50px",
					range: "100px",
					contentdown: {
						caption: "下拉可以刷新"
					},
					contentover: {
						caption: "释放立即刷新"
					},
					contentrefresh: {
						caption: "正在刷新..."
					}
				}, $scope.onRefresh);
			});

		}

		$scope.onRefresh = function() {
			setTimeout(function() {
				$scope.getData(false);
				plus.webview.currentWebview().endPullToRefresh();
			}, 500);

		}

		//统一请求数据
		$scope.getData = function(type) {
			// type 判断加载类型 本地 or 网络？
			var data_indexBanner = JSON.parse(plus.storage.getItem('indexBanner'));
			if (data_indexBanner && type) {
				console.log('取缓存indexBanner---');
				$scope.renderBannerData(data_indexBanner.Index)
				$scope.indexList = data_indexBanner.Furnish;
				$scope.indexLists = data_indexBanner.Packing;
				$scope.indexListss = data_indexBanner.Custom;
			} else {
				console.log('重新加载indexBanner');
				Xmj['获取数据'](Util.Interface['首页幻灯片'].params())
					.then(function(data) {
						$scope.renderBannerData(data.Index);
						$scope.indexList = data.Furnish;
						$scope.indexLists = data.Packing;
						$scope.indexListss = data.Custom;
						plus.storage.setItem('indexBanner', JSON.stringify(data));
					}).catch(function() {
						console.log('error');
					});
			}
		}
		//获取banner数据

		$scope.renderBannerData = function(data) {

			if (angular.isArray(data)) {
				if (data.length > 0) {
					$scope.len = data.length;
					$scope.sliderImgstart = {}
					$scope.sliderImgstart['Url'] = data[0].Banner_Logo;
					$scope.sliderImgstart['Id'] = data[0].Banner_ID;
					$scope.sliderImgend = {}
					$scope.sliderImgend['Url'] = data[$scope.len - 1].Banner_Logo;
					$scope.sliderImgend['Id'] = data[$scope.len - 1].Banner_ID;
					$scope.sliderImgLists = data;

					$scope.indicatorlists = [];
					for (var i = 0; i < $scope.len; i++) {
						$scope.indicatorlists.push(i);
					}

					// 手动初始化 banner
					var gallery = mui('.mui-slider');

					gallery.slider({
						'slideshowDelay': 0,
						interval: 5000
					});
				}
				$scope.isgetData = true;
				$scope.AjaxTimeout = 3;
			} else {
				plus.nativeUI.toast('请检测网络');
			}

		}

		$window.addEventListener('classifyOpen', function() {
			console.log('Home classifyOpen')
			if (!$scope.isgetData) {
				$scope.getData(true);
			}
		})

	}
]);