angular.module('services', [])
	
	.factory('Xmj', ['$http', '$q', '$interval', '$window',
		function($http, $q, $interval, $window) {
			var objs = {};

			objs['获取数据'] = function(params) {

				var deferred = $q.defer();

				$http(params)
					.success(function(data, status, headers, config) {
						deferred.resolve(data);
					})
					.error(function(data, status, headers, config) {
						console.log('16---'+data);
						deferred.reject();
					})

				return deferred.promise;
			}

			objs.PlusReady = function(timer) {
				var deferred = $q.defer();
				var timer = timer ? timer : 10;

				var stop = $interval(function() {

					if ($window.plus) {
						var cc = 'ok! plusReady';
						deferred.resolve(cc);
						$interval.cancel(stop);
					}

				}, timer)

				return deferred.promise;
			}

			objs['滚动底部'] = function() {
				var deferred = $q.defer();

				angular.element($window).bind('scroll', function() {
					var scrollTop = document.documentElement.scrollTop || document.body.scrollTop;
					var clientHeight = document.documentElement.clientHeight || document.body.clientHeight;
					var scrollHeight = document.documentElement.scrollHeight || document.body.scrollHeight;
					
					if (scrollTop + clientHeight >= scrollHeight) {
			
						deferred.notify('OK!scrollBottom');
					}
				})

				return deferred.promise;
			}

			return objs
		}
	])