/**
 * @description tool is Obj, 它是一个工具库
 */

var tool = (function(win,$){
	
	var 
		isNetwork = null,
		notNetworkBack = null,
		countRange = null;
		

	isNotNetwork = function(){
		return (plus.networkinfo.getCurrentType() === plus.networkinfo.CONNECTION_NONE)
	}
	
	notNetworkBack = function(type){
		(isNotNetwork()) && (setTimeout(function(){
			$.toast('您的网络有问题');
			if(type == 'back'){
				$.back();
			}
		},200));
	}
	
	/**
	 * @description 获取 产品id
	 */
	
	getPid = function(){
		return win.location.hash.replace(/\D/g,'');
	}
	
	/**
	 * @description 获取当前Webview 的id
	 */
	
	getCurrentWebview = function(){
		return plus.webview.currentWebview().id
	}
	
	/**
	 * @description 求范围, range 范围 百分比 value 值
	 */
	
	countRange = function(range,value){

		return {
			max : value * (100 + range) / 100,
			min : value * (100 - range) / 100
		}
	}
	
	return {
		isNotNetwork : isNotNetwork,
		notNetworkBack : notNetworkBack,
		getPid : getPid,
		countRange : countRange
	}
	
})(window,mui)
