angular.module('sizeInput.directives', [])

	/**
	 * @description 处理input.value 
	 * 添加方式  <input type="number" sizeinput maxnum="60" minnum="30">
	 * 其中 maxnum="60" minnum="30" 是设置输入最小最大值上线，输入过多过少已最大最小值封顶
	 */
	.directive('sizeinput',function(){

            return {
                restrict : 'A',
                link : function (scope,iElement,iAttrs) {
                    var
                            max = iAttrs.maxnum,
                            min = iAttrs.minnum;

					console.log(iAttrs.maxnum + ' | ' + iAttrs.minnum);
                

                    angular.element(iElement).on('input', function (ev) {
            
                        ev.target.value = ev.target.value.replace(/\D/g,'');
                    })

                }
            }
    })