var xmj_app = angular.module('mallApp', ['ngTouch', 'services']);

xmj_app.controller('orderCtrl', ['$scope', '$http', '$window','$timeout', '$interval', 'Xmj',
	function($scope, $http, $window,$timeout, $interval, Xmj) {
		$window.addEventListener('freshenorder', function(event) {
			var pid = event.detail.id;
			document.getElementById('loadingPage').style.display = 'block';
			document.body.scrollTop = 0;
			$scope.getCommodityData(pid);
		});
		$scope.mask = true;
		$scope.getCommodityData = function(id) {
			if (plus.storage.getItem('order' + id)) {
				$scope.CommodityData = JSON.parse(plus.storage.getItem('order' + id))
			} else {
				Xmj['获取数据'](Util.Interface['DIY产品详情'].params(id))
					.then(function(data) {
						console.log('DIY产品详情数据存储))))'+JSON.stringify(data));
						$scope.CommodityData = data;
						$scope.orderDetail = data.Product;
						$scope.orderDetailDiy = data.DiyType;
						$scope.bannerHandle();
						$scope.skuFunc();
						$scope.watchInputInit();
						$scope.cartsInitFunc();
//						plus.storage.setItem('order' + id, JSON.stringify(data))
						$timeout(function() {
							document.getElementById('loadingPage').style.display = 'none';
						}, 200);
					}).catch(function() {
						console.log('error');
						plus.nativeUI.toast('请检测网络');
						mui.back();
					});
				
			}
		}
		$scope.bannerHandle = function() {
			if ($scope.CommodityData.ProductImgList.length > 0) {

				for (var i = 0, len = $scope.CommodityData.ProductImgList.length; i < len; i++) {
					$scope.CommodityData.ProductImgList[i].ProductImg_Url = Util.ImgCdn + $scope.CommodityData.ProductImgList[i].ProductImg_Url;
				}

				$scope.sliderStartImg = $scope.CommodityData.ProductImgList[$scope.CommodityData.ProductImgList.length - 1].ProductImg_Url;
				$scope.sliderEndImg = $scope.CommodityData.ProductImgList[0].ProductImg_Url;
				$scope.sliderListImg = $scope.CommodityData.ProductImgList;

				var stopbannr = $interval(function() {
					if (document.getElementsByClassName('mui-indicator').length === $scope.CommodityData.ProductImgList.length) {
						$interval.cancel(stopbannr);
						document.getElementsByClassName('mui-indicator')[0].className = 'mui-indicator mui-active';
						var gallery = mui('.mui-slider');
						gallery.slider({
							'slideshowDelay': 0
						});
					}
				}, 100)

			}
		}


		$scope.watchInputInit = function() {
			$scope.lengthnum = $scope.orderDetail.Product_Length;
			$scope.widthnum = $scope.orderDetail.Product_Width;
			$scope.heightnum = $scope.orderDetail.Product_Height;

			$scope.length = tool.countRange($scope.orderDetailDiy.DiyType_Range, $scope.orderDetail.Product_Length);
			$scope.width = tool.countRange($scope.orderDetailDiy.DiyType_Range, $scope.orderDetail.Product_Width);
			$scope.height = tool.countRange($scope.orderDetailDiy.DiyType_Range, $scope.orderDetail.Product_Height);

		}

		$scope.getDiyPrice = function() {

			Xmj['获取数据'](Util.Interface['纸箱DIY计算价格'].params($scope.orderDetail.DiyType_ID, $scope.lengthnum, $scope.widthnum, $scope.heightnum, $scope.orderDetail.Product_LowestCount, $scope.orderDetail.Product_Material))
				.then(function(data) {
					if (data === 0) {
						return mui.toast('请输入正确的数值');
					}

					$scope.diyPrice = data.Price;

				}).catch(function() {
					console.log('error');
					//出错的时候
					mui.toast('您的网络有问题');
					mui.back();
				});

		}


		/**
		 *  @description SKU选择
		 */

		$scope.skuFunc = function() {
			$scope.skus = $scope.CommodityData.GroupAndAttrsList;
			$scope.stockSku = $scope.CommodityData.ProductListSku;

			$scope.goodSku = {};
			var flag = 0;
			var k = 0;
			var myType = function(x, y) {
				this.skuTypeName = x;
				this.skuTypeId = y;
			}
			for (var i = 0; i < $scope.skus.length; i++) {
				if (flag != $scope.skus[i].ProductSkuGroup_Name) {
					$scope.goodSku[k] = new myType($scope.skus[i].ProductSkuGroup_Name, $scope.skus[i].ProductSkuGroup_ID);
					flag = $scope.skus[i].ProductSkuGroup_Name;
					k++;
				}

			}

			var grounpId = function(a, b) {
				this.cid = a;
				this.tid = b;
			}
			var flagid = [];
			var flagtid = [];
			var skuprocee = function(cid) {
				var selectPosition;
				for (var i = 0; i < $scope.skus.length; i++) {
					if ($scope.skus[i].ProductSkuAttrs_ID == cid) {
						selectPosition = i;
						return selectPosition;
						break;
					}
				}
			}

			// 默认选择第一个
			if (k == 1) {
				$scope.goodSku[0].selected = $scope.skus[0].ProductSkuAttrs_Name;
				//	定制不现实sku价格与库存
				//						    $scope.productSku_Stock = $scope.stockSku[0].ProductSku_Stock;
				//							$scope.productPrice = $scope.stockSku[0].ProductSku_Price;
				//							$scope.productMarketPrice = $scope.stockSku[0].ProductSku_MarketPrice;
				$scope.skuid = $scope.stockSku[0].ProductSkuAttrs_IDS;
			}
			// 点击选择SKU
			$scope.curSku = function(id, tid, index) {
				//判断点击的第一行还是第二行sku
				var isSelectTid = $scope.skus[0].ProductSkuGroup_ID == tid ? true : false;
				// 单组SKU
				if (k == 1) {
					$scope.goodSku[0].selected = $scope.skus[index].ProductSkuAttrs_Name;
					$scope.skuid = id;
					for (var i = 0; i < $scope.stockSku.length; i++) {
						if ($scope.stockSku[i].ProductSkuAttrs_IDS == id) {
							//										$scope.productSku_Stock = $scope.stockSku[i].ProductSku_Stock;
							//										$scope.productPrice = $scope.stockSku[i].ProductSku_Price;
							//										$scope.productMarketPrice = $scope.stockSku[i].ProductSku_MarketPrice;
							$scope.skuid = $scope.stockSku[i].ProductSkuAttrs_IDS;
							break;
						}
					}
				} else if (k == 2) { // 多组SKU		
					if (flagid == '' && flagtid == '') {
						flagid[0] = id;
						flagtid[0] = tid;
						var o = skuprocee(flagid);
						if (isSelectTid) {
							$scope.goodSku[0].selected = $scope.skus[o].ProductSkuAttrs_Name;
						} else {
							$scope.goodSku[1].selected = $scope.skus[o].ProductSkuAttrs_Name;
						}

						//首次选择sku

					} else if (flagid[0] != id && flagtid[0] == tid) {

						// 继续选择属性一
						flagid[0] = id;
						var o = skuprocee(flagid[0]);
						if (isSelectTid) {
							$scope.goodSku[0].selected = $scope.skus[o].ProductSkuAttrs_Name;
						} else {
							$scope.goodSku[1].selected = $scope.skus[o].ProductSkuAttrs_Name;
						}
					}
					//								else if(flagid == id && flagtid == tid){
					//									alert('3');
					//									// 反选
					//									flagid = 0;
					//									flagtid = 0;
					//									var o = 	skuprocee(flagid);
					//									$scope.selected[0]= '';
					//								} 
					else if (flagtid[0] != 0 && flagtid[0] != tid) {
						// 选择属性二
						flagid[1] = id;
						flagtid[1] = tid;
						$scope.skuid = flagid.join(',');
						var o = skuprocee(flagid[1]);
						if (isSelectTid) {
							$scope.goodSku[0].selected = $scope.skus[o].ProductSkuAttrs_Name;
						} else {
							$scope.goodSku[1].selected = $scope.skus[o].ProductSkuAttrs_Name;
						}

					}

					for (var i = 0; i < $scope.stockSku.length; i++) {
						if ($scope.stockSku[i].ProductSkuAttrs_IDS == flagid) {
							//										$scope.productSku_Stock = $scope.stockSku[i].ProductSku_Stock;
							//										$scope.productPrice = $scope.stockSku[i].ProductSku_Price;
							//										$scope.productMarketPrice = $scope.stockSku[i].ProductSku_MarketPrice;
							break;
						} else {
							$scope.productSku_Stock = 0;
						}
					}
				}

			}
		}

		// 初始化 carts.num 值
		$scope.cartsInitFunc = function() {
			$scope.cartsnums = $scope.orderDetail.Product_LowestCount;
			$scope.changeCount = function(type) {
				var count = parseInt($scope.cartsnums);
				if (type == 'add') {
					count++;
				} else {
					count--;
				}
				if (count < $scope.orderDetail.Product_LowestCount) {
					count = $scope.orderDetail.Product_LowestCount;
					mui.toast('最小起订量为' + $scope.orderDetail.Product_LowestCount + "件");
				}else if(count > $scope.orderDetail.Product_Stock){
					
				}

				$scope.cartsnums = count;
				$scope.getDiyPrice();
			};
		}



		/**
		 * @description 监听长度变化价格
		 */


		$scope.lengthFunc = function(ev, max, min) {

			var num = parseInt($scope.lengthnum);
			if (isNaN(num)) {
				$scope.lengthnum = max
			} else {
				(max && max < num) && ($scope.lengthnum = max);
				(min && min > num) && ($scope.lengthnum = min);
			}

			$scope.getDiyPrice();
		}

		/**
		 * @description 监听宽度变化价格
		 */

		$scope.widthFunc = function(ev, max, min) {

			var num = parseInt($scope.widthnum);
			if (isNaN(num)) {
				$scope.widthnum = max
			} else {
				(max && max < num) && ($scope.widthnum = max);
				(min && min > num) && ($scope.widthnum = min);
			}

			$scope.getDiyPrice();
		}

		/**
		 * @description 监听高度变化价格
		 */

		$scope.heightFunc = function(ev, max, min) {

			var num = parseInt($scope.heightnum);
			if (isNaN(num)) {
				$scope.heightnum = max;
			} else {
				(max && max < num) && ($scope.heightnum = max);
				(min && min > num) && ($scope.heightnum = min);
			}

			$scope.getDiyPrice();
		}

		$scope.openCoupon = function(id) {

			mui.openWindow({
				url: 'couponDetail.html',
				id: 'couponDetail',
				styles: {
					top: '0',
					bottom: '0'
				},
				show: {
					duration: 200
				},
				extras: {
					cid: id
				}

			});
			mui.fire(plus.webview.getWebviewById('couponDetail'), 'couponinfo', {
				id: id
			});


		}

		$scope.share = function() {

			alert('分享');

		}

		$scope.collect = function(id) {
			if (userInfo.has_login()) {
				console.log(userInfo.uid() + '--' + userInfo.token() + '--' + id)

				Xmj['获取数据'](Util.Interface['加入收藏'].params(userInfo.uid(), userInfo.token(), id))
					.then(function(data) {
						if (data == true) {
							$scope.favored = true;
							mui.toast('收藏成功！');
							//更新存储数据
							Xmj['获取数据'](Util.Interface['产品详情'].params(id, userInfo.uid()))
								.then(function(data) {
//									plus.storage.setItem('Pid' + id, JSON.stringify(data));
								}).catch(function() {
									console.log('error');
								});

						} else {
							mui.toast('已收藏');
						}
					}).catch(function() {
						console.log('error');
						mui.toast('网络超时或未登录！');
					});
			} else {
				userInfo.openLogin(plus.webview.currentWebview().id);

			}


		}

		$scope.cartpage = function() {

			mui.openWindow({
				url: '../shoppingCart2.html',
				id: 'shoppingCart2.html',
				styles: {
					top: '0',
					bottom: '0'
				},
				show: {
					aniShow: 'none'
				},
				waiting: {
					autoShow: true
				}

			})
			mui.fire(plus.webview.getWebviewById('shoppingCart2.html'), 'classifyOpen');

		}

		$scope.joinShopping = function() {
			$scope.lengthFunc(event,$scope.length.max,$scope.length.min);
			$scope.widthFunc(event,$scope.width.max,$scope.width.min);
			$scope.heightFunc(event,$scope.height.max,$scope.height.min)
			
			if (userInfo.has_login()) {
				$scope.customDiy = $scope.orderDetail.DiyType_ID + '-' + $scope.lengthnum + ',' + $scope.widthnum + ',' + $scope.heightnum;
				if ($scope.skuid == '' || $scope.skuid == undefined) {
					mui.toast('请选择商品属性！');
					return false;
				}else {
					var nums = parseInt($scope.cartsnums);
					if($scope.cartsnums > $scope.orderDetail.Product_Stock){
						// 数量大于库存时
						$scope.cartsnums = $scope.orderDetail.Product_Stock;
					}else if(isNaN(nums)){
						// 非法字符
						$scope.cartsnums = $scope.orderDetail.Product_LowestCount;
					}else{
						// good man
						$scope.cartsnums = $scope.cartsnums;
					}
					$http({
						method: 'post',
						url: Util.WcfUrl + 'AddCart',
						headers: {
							'Content-Type': 'text/json'
						},
						responseType: 'json',
						data: {
							Uid: userInfo.uid(),
							token: userInfo.token(),
							Pid: $scope.orderDetail.Product_ID,
							CategoryId: $scope.orderDetail.Category_ID,
							number: $scope.cartsnums,
							Skus: $scope.skuid + '',
							Diys: $scope.customDiy
						}
					}).success(function(data, status, headers, config) {
						console.log(data);
						mui.toast('已成功加入购物车！');
						$window.localStorage.setItem('cartRefresh', true);
					}).error(function(data, status, headers, config) {
	
					})
				}
//				Xmj['获取数据'](Util.Interface['加入购物车'].params(userInfo.uid(), userInfo.token(), $scope.goodsDetail.Product_ID, $scope.cartsnums, $scope.skuid))
//					.then(function(data) {
//						console.log(data);
//						mui.toast('已成功加入购物车！');
//						$window.localStorage.setItem(' cartRefresh', true);
//					}).catch(function() {
//						mui.toast('加入购物车失败！');
//						console.log('error');
//					});

			} else {
				userInfo.openLogin(plus.webview.currentWebview().id);
			}

		}

	}
]);