var xmj_app = angular.module('mallApp', ['ngTouch', 'services']);

xmj_app.controller('myCtrl', ['$scope', '$http', '$window', '$interval', '$timeout', 'Xmj',
	function($scope, $http, $window, $interval, $timeout, Xmj) {



		var WebViewList = {};
		WebViewList['设置'] = {
			url: 'ucenter/setting.html',
			view: null
		};
		WebViewList['订单列表'] = {
			url: 'ucenter/myorder.html',
			view: null
		}
		WebViewList['template-main'] = {
			url: 'ucenter/myFuncHeader.html',
			view: null
		}

		$scope.initData = function() {
			$scope.ucenter = null;
		}

		$scope.initData();

		$scope.updataFunc = function() {
			if (!!!WebViewList['设置'].view) {
				$scope.mask = true;
			}
			console.log('userInfo.has_Refresh()' + ' ' + userInfo.has_Refresh());


			Xmj['获取数据'](Util.Interface['会员中心'].params(userInfo.uid(), userInfo.token()))
				.then(function(data) {
					//其中一个值为undefined即返回有问题
					if (data !== null && data.Favor !== undefined) {

						if (!!!WebViewList['设置'].view) {

							$scope.ProLoadingPage();
						}
						$scope.ucenter = JSON.parse(localStorage.getItem('user'));
						$scope.info = data;
						$scope.loginMask = true;
					} else {
						console.log('身份验证失败')
						plus.nativeUI.toast('身份验证失败,请重新登录');
						if ($scope.mask) {
							$scope.mask = false;
						}
						$scope.ucenter = null;
						$scope.info = null;
						$scope.loginMask = false;
						userInfo.clear();
						$scope.isHas_login();
						mui.preload({
							id: 'examples/ucenter/login.html',
							url: 'ucenter/login.html',
							styles: {
								top: '0px',
								bottom: '0px'
							}
						});
					}

				}).catch(function() {
					if ($scope.mask) {
						$scope.mask = false;
					}
					plus.nativeUI.toast('请检测网络');
					$scope.info = null;

				});

			//登录后触发updataFunc,判断是否预加载过页面



		}


		$scope.ProLoadingPage = function() {

			for (var i in WebViewList) {
				
				console.log(i);
				WebViewList[i].view =
					mui.preload({
						url: WebViewList[i].url,
						id: WebViewList[i].url,
						waiting: {
							autoShow: false
						}
					});
				WebViewList[i].view.hide();

			}

			$timeout(function() {
				$scope.mask = false;
			}, 500)

		}

		$scope.isHas_login = function() {
			if (userInfo.has_login()) {
				//是否登录
				$scope.updataFunc();

			} else {
				console.log('未登录')
				$scope.$apply(function() {
					$scope.initData();
					$scope.mask = false;
					$scope.loginMask = false;
				})


			}
		}



		$scope.maskFunc = function() {
			userInfo.openLogin(plus.webview.currentWebview().id)
		}

		$window.addEventListener('loginBack', function() {
			console.log('登录成功后返回');

			//			if(plus.webview.getWebviewById('examples/ucenter/login.html')){
			//				$timeout(function(){
			//					plus.webview.getWebviewById('examples/ucenter/login.html').close();
			//				},100)
			//			}
			$scope.updataFunc();

		})

		$window.addEventListener('classifyOpen', function() {
			console.log('my sub classifyOpen');
			$scope.isHas_login();
		})

		$window.addEventListener('backQuit', function() {
			//			$scope.updateFunc();
			//			alert('退了');
			$scope.ucenter = null;
			$scope.info = null;
			$scope.loginMask = false;
			userInfo.clear();
			$scope.isHas_login();
			mui.preload({
				id: 'examples/ucenter/login.html',
				url: 'ucenter/login.html',
				styles: {
					top: '0px',
					bottom: '0px'
				}
			});

		})




		$scope.openOrderFunc = function(status) {
			mui.fire(WebViewList['订单列表'].view, 'freshen', {
				status: status
			});

			WebViewList['订单列表'].view.show('pop-in', 150);


		}
	}
]);